const dateUtil = {
  // 日期标准格式
  DATE_yyyy_MM_dd() {
    return 'yyyy-MM-dd';
  },
  DATE_yyyy_MM_dd_TIME() {
    return 'yyyy-MM-dd HH:mm:ss';
  },
  DATE_full() {
    return 'yyyy-MM-dd hh:mm:ss';
  },
  DATE_yyyyMMdd() {
    return 'yyyyMMdd';
  },
  DATE_yyyyMMdd_china() {
    return 'yyyy年MM月dd日';
  },
  DATE_yyyyMMddTIME() {
    return 'yyyyMMddhhmmss';
  },
  DATE_yyyy_MM_dd_diagonal() {
    return 'yyyy/MM/dd';
  },
  // 日期格式化
  formateDate(newdate, format) {
    const date = {
      'M+': newdate.getMonth() + 1,
      'd+': newdate.getDate(),
      'h+': newdate.getHours(),
      'm+': newdate.getMinutes(),
      's+': newdate.getSeconds(),
      'q+': Math.floor((newdate.getMonth() + 3) / 3),
      'S+': newdate.getMilliseconds()
    };
    if (/(y+)/i.test(format)) {
      format = format.replace(RegExp.$1, (newdate.getFullYear() + '').substr(4 - RegExp.$1.length));
    }
    for (const k in date) {
      if (new RegExp('(' + k + ')').test(format)) {
        format = format.replace(RegExp.$1, RegExp.$1.length === 1
          ? date[k] : ('00' + date[k]).substr(('' + date[k]).length));
      }
    }
    return format;
  },
  isSameWeek(old,now){
    var oneDayTime = 1000*60*60*24;  
    var old_count =parseInt(old.getTime()/oneDayTime);  
    var now_other =parseInt(now.getTime()/oneDayTime);  
    return parseInt((old_count+4)/7) == parseInt((now_other+4)/7);  
  }
}

export default dateUtil;
